.\" Man page for xpipeman.
.\"
.\" 
.\"  Copyright (c) 1998 by Larry Plona
.\" 
.\"  This distribution  of XPipeman is copyright by Larry Plona.
.\"  The  package  and  its  component  files  may  be  freely
.\"  distributed as long as  all copyright notices remain intact
.\"  and this distribution is not sold  as  commercial software.
.\" 
.\"  No warranty of any kind is attached with this software.  It
.\"  is supplied as is.
.\" 
.\" ----------------------------------------------------------------
.\"
.TH XPIPEMAN 1 "18 July 1998"
.SH NAME
xpipeman \- connect the tiles to preserve the flow
.SH SYNOPSIS
.B xpipeman
[-levelsdir <path>] [-scorefile <path>] [-nosound] [-lang <locale>]
[-noshm] [-display <xserver>]
.SH DESCRIPTION
.LP
XPipeman is a game of skill requiring the user to connect together
pieces of a "pipe" to allow a "liquid" to flow through without
leaking out.
The words "pipe" and "liquid" are in quotes because as XPipeman progresses,
the game tiles take on the shape of electricity through circuit traces,
spark through fuse cord and other items similar to liquid through pipes.
.P
The liquid flows out of a tile marked "Start", "S" or some comparable
designation.
The object is to connect as many pipe tiles to the start tile as possible. 
The pipe tiles must be arranged so that liquid may flow undisturbed from
the start tile.
There is no designated place to end;
simply keep the flow continuing as long as possible.
.LP
A random sequence of pipe tiles is generated and displayed down the right
hand side of the gameboard.
This is called the Tile Pool.
The next tile that can be placed appears on the bottom right of the
gameboard.
The word "Next" usually appears above the position of the next tile (the
appearance of the XPipeman game board varies over time).
Once a tile has been placed,
then next tile is placed in the "Next" position.
.LP
When the game begins,
a flow meter starts to count down the time before the flow initiates.
The flow meter can be seen in a vertical bar just to the left of the
tile pool.
The look of the flow meter changes over time however the means by which
it counts down will always be intuitive.
.LP
XPipeman is played in levels.
The rules for each level are the same,
but the artwork for each level is different.
Also,
successive levels become increasingly harder through a reduction in the
time\%-\%to\%-\%flow and increase in the number of unusable (obstacle)
tile positions.
.LP
To progress to the next level,
the liquid must pass through a minimum number of tiles.
The minimum increases with each level.
The remaining number of tiles for the current level is indicated at the
top of the game board.
.LP
Pipe tiles may be placed using the mouse.
The left mouse button places the next tile under the cursor.
The right mouse button confirms the placement and moves a new pipe tile
into the "next" position.
Pipe tiles can not be placed on obstacles,
the start tile or tiles through which the liquid has already passed.
Once a pipe tile has been confirmed,
it can not be moved (but may be overwritten).
.LP
Some tiles are unidirectional.
These tiles will be marked with an arrow or by some other means.
.LP
The game ends when the minimum number of pipe tiles have not been met for
a level.
The number of levels is limited although it is very difficult to
exhaust them.
.LP
The tab key may be pressed to speed up the flow.
If the flow has not started,
then the flow will begin (at normal speed).
The cursor must be over the playfield when the tab key is pressed.
.LP
.SH RESOURCES
.LP
xpipeman.scorefile
.RS
Specified the file in which high scores are saved.
A default value is compiled into the game (often "/opt/xpipeman/xpipescores").
.RE
xpipeman.levelsdir
.RS
Path to XPipeman game directory.
This directory contains the specifications for the level artwork and other information.
A default value is compiled into the game (often "/opt/xpipeman").
.LP
.SH OPTIONS
.LP
XPipeman accepts command line options -scorefile and -levelsdir to set the X resources of the
same name.
.LP
If sound has been compiled into the game,
the "-nosound" option will disable it.
.LP
If the X server is named ":<x>.<y>" or "unix:<x>.<y>" and if the targeted
X server has an 8 or 16 bit depth,
then the MIT-SHM (shared memory) extension will be used.
32 bit depths will not use the extension due to shared memory segment size
limits imposed by UnixWare 7.
The "-noshm" option may be used to force the extension to be ignored.
.LP
.SH SCORING
.LP
Each tile dispensed (entering the next position) deducts 2 points.
The start tile is counted as dispensed.
Four points are earned for each tile through which the flow passes.
If the flow passes through the tile twice,
16 points are earned.
For each pipe tile which is overwritten by another pipe tile,
8 points are deducted.
Negative scores are possible.
.LP
.SH AUTHOR
.LP
XPipeman3 is a completely rewriten version of XPipeman2 by
Larry Plona (ljp@tiac.net).
XPipeman2 was an updated verion the orginal XPipeman game.
The original was written by Nigel Paver.
XPipeman3 does not contain any of the original XPipeman code.
