/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#include <stdio.h>
#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>
#include "BoardP.h"

/*
** Widget hooks.
*/
static void hook_initialize( Widget, Widget, ArgList, Cardinal* );
static Boolean hook_setValues( Widget, Widget, Widget, ArgList, Cardinal* );
static void hook_resize( Widget );
static void hook_changeManaged( Widget );
static XtGeometryResult hook_queryGeometry( Widget, XtWidgetGeometry*, 
    XtWidgetGeometry* );
static void hook_destroy( Widget );

/*
static XtResource resources[] =
{
};
*/
	  
LjpBoardClassRec ljpBoardClassRec =
{
   {
      (WidgetClass) &compositeClassRec,         /* superclass         */
      "LjpBoard",                            	/* class_name         */
      sizeof(LjpBoardRec),                   	/* widget_size        */
      NULL,                          		/* class_initialize   */
      NULL,                            		/* class_part_initiali*/
      FALSE,                                    /* class_inited       */
      hook_initialize,                          /* initialize         */
      NULL,                                     /* initialize_hook    */
      XtInheritRealize,                         /* realize            */
      NULL, 	                                /* actions            */
      0,                                        /* num_actions        */
      NULL,                                /* resources          */
      0,                      /* num_resources      */
      NULLQUARK,                                /* xrm_class          */
      TRUE,                                     /* compress_motion    */
      XtExposeCompressMaximal,                  /* compress_exposure  */
      TRUE,                                     /* compress_enterleave*/
      FALSE,                                    /* visible_interest   */
      hook_destroy,                             /* destroy            */
      hook_resize,                              /* resize             */
      NULL,					/* expose             */
      hook_setValues,                           /* set_values         */
      NULL,                                     /* set_values_hook    */
      NULL,                            		/* set_values_almost  */
      NULL,                                     /* get_values_hook    */
      NULL,                                     /* accept_focus       */
      XtVersion,                                /* version            */
      NULL,                                     /* callback_private   */
      NULL, 	    	                        /* tm_table           */
      hook_queryGeometry,             		/* query_geometry     */
      XtInheritDisplayAccelerator,              /* display accel      */
      NULL,                                     /* extension          */
    },
    /* Composite class. */
    {
	XtInheritGeometryManager,		/* geometry_manager   */
    /* change_managed     */    hook_changeManaged,
    /* insert_child	  */	XtInheritInsertChild,
    /* delete_child	  */	XtInheritDeleteChild,
	NULL,					/* extension          */
    },
    /* Board. */
    {
	NULL                                    /* extension          */
    }
};

WidgetClass ljpBoardWidgetClass = (WidgetClass)&ljpBoardClassRec;

static void hook_initialize( Widget w, Widget neww, ArgList args,
    Cardinal *num_args )
{
    LjpBoardWidget bw = (LjpBoardWidget)w;
    LjpBoardWidget bwnew = (LjpBoardWidget)neww;
    Dimension defaultWidth=0, defaultHeight=0;
    XGCValues values;
    unsigned long valuemask;

    /*
    ** Override Core class default. App will have to change
    ** it after widget creation if it desires a different
    ** value.
    */
    bwnew->core.border_width = 0;

    if( bwnew->core.width == 0 )
	bwnew->core.width = 60;
    else
	bwnew->core.width = bwnew->core.width;

    if( bwnew->core.height == 0 )
	bwnew->core.height = 40;
    else
	bwnew->core.height = bwnew->core.height;
}

static Boolean hook_setValues( Widget oldw, Widget w, Widget neww,
    ArgList args, Cardinal *num_args )
{
    LjpBoardWidget old_fw = (LjpBoardWidget)oldw;
    LjpBoardWidget new_fw = (LjpBoardWidget)neww;
    Boolean do_redisplay = False;
    Boolean do_gc = False;

#if defined(LARRY_HOOKS)
    fprintf( stdout, "LjpBoard %x hook setValues\n", w );
#endif

    return True;
}

static void hook_destroy( Widget w )
{
}

static void hook_resize( Widget w )
{
    LjpBoardWidget fw = (LjpBoardWidget)w;

#if defined(LARRY_HOOKS)
    fprintf( stdout, "LjpBoard %x hook resize w%d h%d\n",
	w, w->core.width, w->core.height );
#endif
}

static XtGeometryResult hook_queryGeometry( Widget w,
    XtWidgetGeometry *proposed,  XtWidgetGeometry *answer )
{
    LjpBoardWidget fw = (LjpBoardWidget)w;

#if defined(LARRY_HOOKS)
    fprintf( stdout, "LjpBoard %x hook queryGeometry\n", w );
#endif
    return XtGeometryYes;
}

static void hook_changeManaged( Widget w )
{
    LjpBoardWidget lw = (LjpBoardWidget)w;

#if defined(LARRY_HOOKS)
    fprintf( stdout, "LjpBoard %x hook changeManaged\n", w );
#endif
}
