/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef BOARD_H
#define BOARD_H

/*
** A Board is a composite widget which performs no management on its
** children.
**
** PURPOSE
**
** This widget exists largely for use in the ScrollBox widget.
**
** TODO
**
** The widget ought to have a mode where it expands to fit all children.
** All composite widgets in Xljp should be derived from this widget.
**
** RESOURCES
**
**  Name                Class		RepType         Default Value
**  ----                -----		-------         -------------
**  background		Background	Pixel		XtDefaultBackground
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

extern WidgetClass ljpBoardWidgetClass;

typedef struct _LjpBoardClassRec *LjpBoardWidgetClass;
typedef struct _LjpBoardRec *LjpBoardWidget;

#ifdef __cplusplus
}
#endif

#endif /* BOARD_H */
