/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef BUTTON_H
#define BUTTON_H

/*
** Xljp Button Widget
**
** Standard button. Look derived from Primitive's frame. Push, release
** and leave all supported through a single callback.
**
** TODO
**
** Currently, the button may not be armed through the application. The
** shadow type does not default to XljpShadowOut but relies on the Label
** and primitive defaults (probably XljpShadowNone).
**
** USE
**
** The background color is the color of the button. When the button is
** pressed it changes to the foreground color for as long as it is
** pressed ("armed").
**
** The shadow type is forced to XljpShadowOut on creation. To use another
** value, it must be set after widget creation.
**
** RESOURCES
**
**  Name		RepType		Default Value
**  ----		-------		-------------
**  activateCallback	XtCallbackList	NULL
**  armColor		Pixel		XtDefaultForeground
**
** Other resources of interest.
**
**  background		Pixel
**  backgroundPixmap	Pixmap
**  bottomShadowColor	Pixel
**  font		XFontStruct
**  foreground		Pixel
**  label		String
**  marginBottom	Dimension
**  marginHeight	Dimension
**  marginLeft		Dimension
**  marginRight		Dimension
**  marginTop		Dimension
**  marginWidth		Dimension
**  shadowThickness	Dimension
**  shadowType		XljpShadowType
**  topShadowColor      Pixel
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

struct ljpButtonCallbackStruct
{
   int reason;
   XEvent * event;
   int value;
};

#define XljpCR_PRESS   0
#define XljpCR_RELEASE 1

extern WidgetClass ljpButtonWidgetClass;

typedef struct _LjpButtonClassRec *LjpButtonWidgetClass;
typedef struct _LjpButtonRec *LjpButtonWidget;

#ifdef __cplusplus
}
#endif

#endif /* BUTTON_H */
