/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef BUTTONP_H
#define BUTTONP_H

#include <X11/IntrinsicP.h>
#include "PrimitiveP.h"
#include "LabelP.h"
#include "Button.h"

typedef struct
{
    XtCallbackList activate_callback;
    Pixel arm_color;
    /* Private. */
    Boolean armed;
} LjpButtonPart;

typedef struct _LjpButtonRec
{
    CorePart		core;
    LjpPrimitivePart	primitive;
    LjpLabelPart	label;
    LjpButtonPart	button;
} LjpButtonRec;

typedef struct
{
    XtPointer extension;
} LjpButtonClassPart;

typedef struct _LjpButtonClassRec
{
    CoreClassPart core_class;
    LjpPrimitiveClassPart primitive_class;
    LjpLabelClassPart label_class;
    LjpButtonClassPart button_class;
} LjpButtonClassRec;

extern LjpButtonClassRec ljpButtonClassRec;

#endif /* BUTTONP_H */
