/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef DIAL_H
#define DIAL_H

/*
** Xljp Dial Widget
**
** PURPOSE
**
** This widget implements a dial such as a stereo volume control.
**
** USE
**
** The left and right mouse buttons rotate the dial counter-clockwise and
** clockwise.
**
** RESOURCES
**
**  Name		RepType		Default Value
**  ----		-------		-------------
**  activateCallback	XtCallbackList	NULL
**  dialColor		Pixel		XtDefaultBackground
**  indicatorColor	Pixel		XtDefaultForeground
**  maxValue		int		100
**  minValue		int		0
**  turnDelay		int		50
**  value		int		0
**
** Other resources of interest.
**
**  background		Pixel
**  backgroundPixmap	Pixmap
**  bottomShadowColor	Pixel
**  foreground		Pixel
**  marginBottom	Dimension
**  marginHeight	Dimension
**  marginLeft		Dimension
**  marginRight		Dimension
**  marginTop		Dimension
**  marginWidth		Dimension
**  shadowThickness	Dimension
**  shadowType		XljpShadowType
**  topShadowColor      Pixel
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

extern WidgetClass ljpDialWidgetClass;

typedef struct _LjpDialClassRec * LjpDialWidgetClass;
typedef struct _LjpDialRec * LjpDialWidget;

#ifdef __cplusplus
}
#endif

#endif /* DIAL_H */
