/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef DIALP_H
#define DIALP_H

#include <X11/IntrinsicP.h>
#include "PrimitiveP.h"
#include "Dial.h"

/* Strict ANSI does not define M_PI. */
#define DIAL_PI	3.14159

typedef struct
{
    XtCallbackList activate_callback;
    int value;
    int max_val;
    int min_val;
    int turn_delay;
    Pixel pixelDial;
    Pixel pixelIndicator;
    Dimension orig_width;
    Dimension orig_height;
    Boolean move_clockwise;
    Boolean turning;
    XSegment segments[4];
    XtIntervalId timer_id;
    double angle_offset;
} LjpDialPart;

typedef struct _LjpDialRec
{
    CorePart		core;
    LjpPrimitivePart	primitive;
    LjpDialPart		dial;
} LjpDialRec;

typedef struct
{
    XtPointer extension;
} LjpDialClassPart;

typedef struct _DialClassRec
{
    CoreClassPart core_class;
    LjpPrimitiveClassPart primitive_class;
    LjpDialClassPart dial_class;
} LjpDialClassRec;

extern LjpDialClassRec ljpDialClassRec;

#endif /* DIALP_H */
