/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef FRAME_H
#define FRAME_H

/*
** Xljp widget implementation of a frame.
**
** A Frame is a composite widget which places a decorative border
** around its child. This widget is similar to the Motif Frame widget.
**
** PURPOSE
**
** Because a frame is part of the ljpPrimitive class, the Frame widget
** is mostly for composite and container widgets.
**
** USE
**
** background is the color of the gap between the frame and the widget.
** marginWidth and marginHeight are the gaps between the outer edge of
** the widget and the frame. The other margin resources are the gaps
** between the frame and the child widget.
**
** RESOURCES
**
**  Name                Class		Default Value
**  ----                -----		-------------
**  bottomShadowColor	Pixel		XtDefaultBackground
**  marginBottom	Dimension	2
**  marginHeight	Dimension	0
**  marginLeft		Dimension	2
**  marginRight		Dimension	2
**  marginTop		Dimension	2
**  marginWidth		Dimension	0
**  shadowThickness	Dimension	1
**  shadowType		XljpShadowType	XljpShadowOut
**  topShadowColor      Pixel		XtDefaultForeground
**
** Other resources of interest.
**
**  background		Pixel
**  foreground		Pixel
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

extern WidgetClass ljpFrameWidgetClass;

typedef struct _LjpFrameClassRec *LjpFrameWidgetClass;
typedef struct _LjpFrameRec *LjpFrameWidget;

#ifdef __cplusplus
}
#endif

#endif /* FRAME_H */
