/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef FRAMEP_H
#define FRAMEP_H

#include <X11/IntrinsicP.h>
#include <X11/CompositeP.h>
#include "Frame.h"

typedef struct
{
    Pixel pixelTopShadow;
    Pixel pixelBottomShadow;
    Dimension margin_width;
    Dimension margin_height;
    Dimension margin_top;
    Dimension margin_bottom;
    Dimension margin_left;
    Dimension margin_right;
    Dimension shadow_thickness;
    enum XljpShadowType shadow_type;
    /* Private. */
    GC gcTop;
    GC gcBottom;
    GC gcClear;
} LjpFramePart;

typedef struct _LjpFrameRec
{
    CorePart core;
    CompositePart composite;
    LjpFramePart frame;
} LjpFrameRec;

typedef struct
{
    XtPointer extension;
} LjpFrameClassPart;

typedef struct _LjpFrameClassRec
{
    CoreClassPart core_class;
    CompositeClassPart composite_class;
    LjpFrameClassPart frame_class;
} LjpFrameClassRec;

extern LjpFrameClassRec ljpFrameClassRec;

#endif /* FRAMEP_H */
