/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef GAMEWINDOW_H
#define GAMEWINDOW_H

/*
** Xljp GameWindow Widget
**
** Main window composite for menubar and play area children.
**
** TODO
**
** There is no means to retrieve or change the children.
**
** USE
**
** The marginWidth and marginHeight resource control the space between the
** edge of the window and the interior children. The marginTop and
** marginBottom resources set the space between the top and bottom menubars
** (respectively) and the play area.
**
** RESOURCES
**
**  Name		RepType		Default Value
**  ----		-------		-------------
**  marginBottom	Dimension	4
**  marginHeight	Dimension	0
**  marginTop		Dimension	4
**  marginWidth		Dimension	0
**
** Other resources of interest.
**
**  background		Pixel
**  backgroundPixmap	Pixmap
**  foreground		Pixel
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

extern WidgetClass ljpGameWindowWidgetClass;

typedef struct _LjpGameWindowClassRec *LjpGameWindowWidgetClass;
typedef struct _LjpGameWindowRec *LjpGameWindowWidget;

#ifdef __cplusplus
}
#endif

#endif /* GAMEWINDOW_H */
