/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef LABEL_H
#define LABEL_H

/*
** Xljp Label Widget
**
** USE
**
** The background color is the color of the label.
**
** If a background pixmap is specified (a Core class resource) it is used
** as a tile in lieu of the background color.
**
** TODO
**
** There ought to be a vertical alignment resource.
**
** RESOURCES
**
**  Name		Class		RepType		Default Value
**  ----		-----		-------		-------------
**  label		Label		String		NULL
**
** Other resources of interest.
**
**  background		Pixel
**  backgroundPixmap	Pixmap
**  bottomShadowColor	Pixel
**  foreground		Pixel
**  halignment		XljpAlignment
**  marginBottom	Dimension
**  marginHeight	Dimension
**  marginLeft		Dimension
**  marginRight		Dimension
**  marginTop		Dimension
**  marginWidth		Dimension
**  shadowThickness	Dimension
**  shadowType		XljpShadowType
**  topShadowColor      Pixel
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

extern WidgetClass ljpLabelWidgetClass;

typedef struct _LjpLabelClassRec *LjpLabelWidgetClass;
typedef struct _LjpLabelRec *LjpLabelWidget;

#ifdef __cplusplus
}
#endif

#endif /* LABEL_H */
