/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef LABELP_H
#define LABELP_H

#include <X11/IntrinsicP.h>
#include "PrimitiveP.h"
#include "Label.h"

#define XljpInheritDrawLabel ((void(*)(Widget,Pixel)) _XtInherit)

typedef struct
{
    XtCallbackList activate_callback;
    Pixel pixelText;
    char *label;
    Font font;
    enum XljpAlignment halignment;
    /* Private. */
    GC gcTile;
} LjpLabelPart;

typedef struct _LjpLabelRec
{
    CorePart         core;
    LjpPrimitivePart primitive;
    LjpLabelPart    label;
} LjpLabelRec;

typedef struct
{
    void (*draw_label)(Widget,Pixel);
    XtPointer extension;
} LjpLabelClassPart;

typedef struct _LjpLabelClassRec
{
    CoreClassPart core_class;
    LjpPrimitiveClassPart primitive_class;
    LjpLabelClassPart label_class;
} LjpLabelClassRec;

extern LjpLabelClassRec ljpLabelClassRec;

#endif /* LABELP_H */
