/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

/*
** Athena Widget code for the Larry Window widget.
*/

#ifndef LarryP_H
#define LarryP_H

#include "Larry.h"
#include <X11/ShellP.h>

typedef struct
{
    Pixel topShadowColor;
    Pixel bottomShadowColor;
    XljpLocation location;
    Widget button_widget;
    /* Private. */
    GC gcTop;
    GC gcBottom;
    GC gcBg;
    Position x_space;
    Position y_popdown;
    Position y_arrows;
    XljpLocation buttonArmed;
} LjpLarryPart;

typedef struct _LjpLarryRec
{
    CorePart core;
    CompositePart composite;
    ShellPart shell;
    /*
    WMShellPart wm;
    VendorShellPart vendor;
    TransientShellPart transient;
    */
    OverrideShellPart override;
    LjpLarryPart larry;
} LjpLarryRec;

typedef struct _LarryWidgetRec
{
    CorePart		core;
    CompositePart	composite;
    ShellPart		shell;
    /*
    WMShellPart		wm;
    VendorShellPart	vendor;
    TransientShellPart	transient;
    */
    OverrideShellPart	override;
    LjpLarryPart	larry;
} LjpLarryWidgetRec;

typedef struct
{
    XtPointer extension;
} LjpLarryClassPart;

typedef struct _LjpLarryClassRec
{
    CoreClassPart	    core_class;
    CompositeClassPart	    composite_class;
    ShellClassPart	    shell_class;
    /*
    WMShellClassPart	    wm_shell_class;
    VendorShellClassPart    vendor_class;
    TransientShellClassPart transient_shell_class;
    */
    OverrideShellClassPart  override_shell_class;
    LjpLarryClassPart	larry_class;
} LjpLarryClassRec;

extern LjpLarryClassRec ljpLarryClassRec;

#endif
