/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef LJPSTRINGDEFS_H
#define LJPSTRINGDEFS_H

#define XljpNactivateCallback		"activateCallback"
#define XljpNarmColor			"armColor"
#define XljpNbottomShadowColor		"bottomShadowColor"
#define XljpNbuttonWidget		"buttonWidget"
#define XljpNchunks			"chunks"
#define XljpNdialColor			"dialColor"
#define XljpNfont			"font"
#define XljpNhalignment			"halignment"
#define XljpNhfit			"hfit"
#define XljpNhorizontalScrollBar	"horizontalScrollBar"
#define XljpNindicatorColor		"indicatorColor"
#define XljpNlabel			"label"
#define XljpNlocation			"location"
#define XljpNmargin1			"margin1"
#define XljpNmargin2			"margin2"
#define XljpNmarginBottom		"marginBottom"
#define XljpNmarginHeight		"marginHeight"
#define XljpNmarginLeft			"marginLeft"
#define XljpNmarginRight		"marginRight"
#define XljpNmarginTop			"marginTop"
#define XljpNmarginWidth		"marginWidth"
#define XljpNmaxValue			"maxValue"
#define XljpNminValue			"minValue"
#define XljpNorientation		"orientation"
#define XljpNpacking			"packing"
#define XljpNpopdownHeight		"popdownHeight"
#define XljpNshadowType			"shadowType"
#define XljpNshadowThickness		"shadowThickness"
#define XljpNsliderSize			"sliderSize"
#define XljpNspacing			"spacing"
#define XljpNtopShadowColor		"topShadowColor"
#define XljpNturnDelay			"turnDelay"
#define XljpNvalignment			"valignment"
#define XljpNvalue			"value"
#define XljpNverticalScrollBar		"verticalScrollBar"
#define XljpNvfit			"vfit"

#define XljpCActivateCallback		"ActivateCallback"
#define XljpCArmColor			"ArmColor"
#define XljpCBottomShadowColor		"BottomShadowColor"
#define XljpCButtonWidget		"ButtonWidget"
#define XljpCChunks			"Chunks"
#define XljpCDialColor			"DialColor"
#define XljpCFont			"Font"
#define XljpCHAlignment			"HAlignment"
#define XljpCHFit			"HFit"
#define XljpCHorizontalScrollBar	"HorizontalScrollBar"
#define XljpCIndicatorColor		"IndicatorColor"
#define XljpCLabel			"Label"
#define XljpCLocation			"Location"
#define XljpCMargin1			"Margin1"
#define XljpCMargin2			"Margin2"
#define XljpCMarginBottom		"MarginBottom"
#define XljpCMarginHeight		"MarginHeight"
#define XljpCMarginLeft			"MarginLeft"
#define XljpCMarginRight		"MarginRight"
#define XljpCMarginTop			"MarginTop"
#define XljpCMarginWidth		"MarginWidth"
#define XljpCMaxValue			"MaxValue"
#define XljpCMinValue			"MinValue"
#define XljpCOrientation		"Orientation"
#define XljpCPacking			"Packing"
#define XljpCPopdownHeight		"PopdownHeight"
#define XljpCShadowType			"ShadowType"
#define XljpCShadowThickness		"ShadowThickness"
#define XljpCSliderSize			"SliderSize"
#define XljpCSpacing			"Spacing"
#define XljpCTopShadowColor		"TopShadowColor"
#define XljpCTopShadowColor		"TopShadowColor"
#define XljpCTurnDelay			"TurnDelay"
#define XljpCVAlignment			"VAlignment"
#define XljpCValue			"Value"
#define XljpCVerticalScrollBar		"VerticalScrollBar"
#define XljpCVFit			"VFit"

/*
** Used by various composite widgets. Widgets often only accept
** certain values. Interpretation various among widgets.
*/
enum XljpFit
{
    XljpFitNull=0,		/* Can not be set by application. */
    XljpFitTight,		/* Grow/Shrink to form fit children. */
    XljpFitLoose,		/* Maintain size (possibly grow). */
    XljpFitExpand		/* Expand children to size. */
};

enum XljpShadowType
{
    XljpShadowNull=0,  /* Can not be set by application. */
    XljpShadowNone,
    XljpShadowLine,
    XljpShadowIn,
    XljpShadowOut,
    XljpShadowRelief,
    XljpShadowEngrave
};

enum XljpOrientation
{
    XljpOrientNull = 0, /* Not settable by application. */
    XljpOrientHorizontal,
    XljpOrientVertical
};

enum XljpAlignment
{
    XljpAlignNull = 0, /* Not settable by application. */
    XljpAlignBeginning,
    XljpAlignEnd,
    XljpAlignCenter
};

struct ljpGenericCallbackStruct
{
   int reason;
   XEvent * event;
   int value;
};

/* Callback reason for the above callback. */
#define XljpCR_VALUE_CHANGED	0

#endif
