/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef PRIMITIVE_H
#define PRIMITIVE_H

/*
** Xljp Primitive Widget Class
**
** PURPOSE
**
** The Primitive Widget Class is a superclass for all non-composite
** Xljp widgets. It supports Motif-like frames and margins (both
** margins inside and outside the frame).
**
** USE
**
** This widget class is used only as a superclass. The resources marginWidth
** and marginHeight specify the distance between the edge of the window and
** the frame. The other margin resources specify the space between the frame
** and the interior.
**
** RESOURCES
**
**  Name		RepType		Default Value
**  ----		-------		-------------
**  bottomShadowColor	Pixel		XtDefaultBackground
**  font		XFontStruct	XtDefaultFont
**  foreground		Pixel		XtDefaultForeground
**  marginBottom	Dimension	2
**  marginHeight	Dimension	0
**  marginLeft		Dimension	2
**  marginRight		Dimension	2
**  marginTop		Dimension	2
**  marginWidth		Dimension	0
**  shadowThickness	Dimension	0
**  shadowType		XljpShadowType	XljpShadowNone
**  topShadowColor	Pixel		XtDefaultForeground
**
** Other resources of interest.
**
**  background		Pixel		XtDefaultBackground
**  border		Pixel		XtDefaultForeground
**  borderWidth		Dimension	0
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

extern WidgetClass ljpPrimitiveWidgetClass;

typedef struct _LjpPrimitiveClassRec *LjpPrimitiveWidgetClass;
typedef struct _LjpPrimitiveRec *LjpPrimitiveWidget;

#ifdef __cplusplus
}
#endif

#endif /* PRIMITIVE_H */
