/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef PRIMITIVEP_H
#define PRIMITIVEP_H

#include <X11/IntrinsicP.h>
#include "Primitive.h"

#define XljpInheritDrawFrame ((void(*)(Widget)) _XtInherit)
#define XljpInheritCalcInterior ((void(*)(Widget,Position*,Position*,Position*,Position*,Dimension*,Dimension*)) _XtInherit)

typedef struct
{
    Pixel pixelForeground;
    Pixel pixelTopShadow;
    Pixel pixelBottomShadow;
    Dimension margin_width;
    Dimension margin_height;
    Dimension margin_top;
    Dimension margin_bottom;
    Dimension margin_right;
    Dimension margin_left;
    Dimension shadow_thickness;
    enum XljpShadowType shadow_type;
    XFontStruct *font;
    /* Private. */
    GC gcTop;
    GC gcBottom;
    GC gcClear;
} LjpPrimitivePart;

typedef struct _LjpPrimitiveRec
{
    CorePart core;
    LjpPrimitivePart primitive;
} LjpPrimitiveRec;

typedef struct
{
    void (*draw_frame)(Widget);
    void (*calc_interior)(Widget,Position*,Position*,Position*,Position*,
	Dimension*,Dimension*);
    XtPointer extension;
} LjpPrimitiveClassPart;

typedef struct _LjpPrimitiveClassRec
{
    CoreClassPart core_class;
    LjpPrimitiveClassPart primitive_class;
} LjpPrimitiveClassRec;

extern LjpPrimitiveClassRec ljpPrimitiveClassRec;

#endif /* PRIMITIVEP_H */
