/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef ROW_H
#define ROW_H

/*
** Xljp Row Widget
**
** PURPOSE
**
** This is a general purpose composite widget. It places its children
** into a single row or column. The children may be aligned in one
** of several ways.
**
** USE
**
** The widget expands to fit its largest highest (horizontal orientation)
** or widest (vertical orientation). The margins are between the highest/
** widest child and the outer edge of the window. The widget will never
** shrink. Children may be independantly aligned on the horizontal and
** vertical access. The space between the children is set through a
** resource.
**
** TODO
**
** Currently the widget will not handle children added or removed after
** the changedManaged hook is called.
**
** RESOURCES
**
**  Name		RepType		Default Value
**  ----		-------		-------------
**  fit			XljpFit		XljpFitLoose
**  halignment		XljpAlignment	XljpAlignCenter
**  marginHeight	Dimension	0
**  marginWidth		Dimension	0
**  orientation		XljpOrientation	XljpOrientVertical
**  spacing		Dimension	0
**  valignment		XljpAlignment	XljpAlignCenter
**
** Other resources of interest.
**
**  background		Pixel
**  backgroundPixmap	Pixmap
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

extern WidgetClass ljpRowWidgetClass;

typedef struct _LjpRowClassRec *LjpRowWidgetClass;
typedef struct _LjpRowRec *LjpRowWidget;

#ifdef __cplusplus
}
#endif

#endif /* ROW_H */
