/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef ROWP_H
#define ROWP_H

#include <X11/IntrinsicP.h>
#include <X11/CompositeP.h>
#include "LjpStringDefs.h"
#include "Row.h"

typedef struct
{
    Dimension margin_width;
    Dimension margin_height;
    Dimension spacing;
    enum XljpOrientation orientation;
    enum XljpFit hfit;
    enum XljpFit vfit;
    enum XljpAlignment halignment;
    enum XljpAlignment valignment;
} LjpRowPart;

typedef struct _LjpRowRec
{
    CorePart core;
    CompositePart composite;
    LjpRowPart row;
} LjpRowRec;

typedef struct
{
    XtPointer extension;
} LjpRowClassPart;

typedef struct _LjpRowClassRec
{
    CoreClassPart core_class;
    CompositeClassPart composite_class;
    LjpRowClassPart row_class;
} LjpRowClassRec;

extern LjpRowClassRec ljpRowClassRec;

#endif /* ROWP_H */
