/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef SCROLLBOXP_H
#define SCROLLBOXP_H

#include <X11/IntrinsicP.h>
#include <X11/CompositeP.h>
#include "ScrollWin.h"
#include "Board.h"

typedef struct
{
    Dimension margin_width;
    Dimension margin_height;
    Widget whs;
    Widget wvs;
    Dimension clip_width;
    Dimension clip_height;
    /* Private. */
    Widget wchild; /* Widget being scrolled. */
    Widget wclip;  /* Clip widget of class Board. */
    int xoff;
    int yoff;
    int xInc;
    int yInc;
} LjpScrollWinPart;

typedef struct _LjpScrollWinRec
{
    CorePart         core;
    CompositePart    composite;
    LjpScrollWinPart scrollwin;
} LjpScrollWinRec;

typedef struct
{
    void *extension;
} LjpScrollWinClassPart;

typedef struct _ScrollWinClassRec
{
    CoreClassPart         core_class;
    CompositeClassPart    composite_class;
    LjpScrollWinClassPart scrollWin_class;
} LjpScrollWinClassRec;

extern LjpScrollWinClassRec ljpScrollWinClassRec;

#endif /* SCROLLBOXP_H */
