/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef SCROLLBARP_H
#define SCROLLBARP_H

#include <X11/IntrinsicP.h>
#include <PrimitiveP.h>
#include "Scrollbar.h"

typedef struct
{
    XtCallbackList activate_callback;
    int value;
    enum XljpOrientation orientation;
    Dimension slider_size;
    /* Private. */
    Boolean sliding;
    Position xPress;
    Position yPress;
    Position xSlider;
    Position ySlider;
} LjpScrollbarPart;

typedef struct _LjpScrollbarRec
{
    CorePart         core;
    LjpPrimitivePart primitive;
    LjpScrollbarPart scrollbar;
} LjpScrollbarRec;

typedef struct
{
    void *extension;
} LjpScrollbarClassPart;

typedef struct _ScrollbarClassRec
{
    CoreClassPart         core_class;
    LjpPrimitiveClassPart primitive_class;
    LjpScrollbarClassPart scrollbar_class;
} LjpScrollbarClassRec;

extern LjpScrollbarClassRec ljpScrollbarClassRec;

#endif /* SCROLLBARP_H */
