/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef TITULUS_H
#define TITULUS_H

/*
** Xljp Titulus Widget
**
** USE
**
** RESOURCES
**
**  Name		RepType			Default Value
**  ----		-------			-------------
**  chunks		struct XljpTitulusChunk	NULL
**
** Other resources of interest.
**
**  background		Pixel
**  backgroundPixmap	Pixmap
**  bottomShadowColor	Pixel
**  foreground		Pixel
**  marginBottom	Dimension
**  marginHeight	Dimension
**  marginLeft		Dimension
**  marginRight		Dimension
**  marginTop		Dimension
**  marginWidth		Dimension
**  shadowThickness	Dimension
**  shadowType		XljpShadowType
**  topShadowColor      Pixel
*/

#include <LjpStringDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

struct XljpTitulusChunk
{
    struct XljpTitulusChunk *next;
    const char *format;
    /*
    ** FUTURE. Embed these in the format.
    */
    Font font;
    Pixel color;
    Dimension line_spacing;
    enum XljpAlignment alignment;
};

extern WidgetClass ljpTitulusWidgetClass;

typedef struct _LjpTitulusClassRec * LjpTitulusWidgetClass;
typedef struct _LjpTitulusRec * LjpTitulusWidget;

/*
** Auxillary routines.
*/

extern int ljpTitulusAddChunk( Widget, struct XljpTitulusChunk* );
extern struct XljpTitulusChunk *ljpTitulusIndexChunk(
    struct XljpTitulusChunk*, int );
extern struct XljpTitulusChunk *ljpTitulusMkChunks( const char*[],
   struct XljpTitulusChunk* );
extern struct XljpTitulusChunk *ljpTitulusMkChunksFromString( const char*,
   struct XljpTitulusChunk* );
extern int ljpTitulusFreeChunks( struct XljpTitulusChunk* );
extern int ljpTitulusReplaceChunks( Widget, struct XljpTitulusChunk* );

#ifdef __cplusplus
}
#endif

#endif /* DIAL_H */
