/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef LEVEL_H
#define LEVEL_H 1

/*
** Episode C++ class.
**
** An Episode is a collection of Artworks. The episode data is in
** a glob.
*/

#include "sfx.h"
#include "artwork.h"

#define EPISODE_MAX_LEVELS 35
#define EPISODE_MAX_CONFLINE 127
#define EPISODE_MAX_NAME 31

#define EPISODE_STANZA_NULL   0
#define EPISODE_STANZA_LEVELS 1

/*
** First four sounds are reserved for Episode. The rest
** belong to Artwork.
*/
#define EPISODE_SND_SPLASH 1

struct levelrec
{
    int min_tiles; /* Minimum tiles to continue to next level. */
    int flow_rate;
    int flow_start;
    int obmap[10];
    char *artwork;
};

class Episode
{
    static struct levelrec default_levels[];
    char *glob_name;
    const char *path;
    int parse_level( const char*, struct levelrec* );
    int parse_conf( const char*, int );
public:
    Glob *glob;
    struct levelrec *levels;
    int levelcnt;
    int currlevel;
    Artwork *artwork;
    Episode();
    ~Episode();
    int new_level( void );
    int rewind( void );
    int load( const char*, const char*, int );
    int initialized( void );
    Glob *art_glob( void );
    const char *art_glob_name( void );
    int obmap( int );
    int flow_rate( void );
    int flow_start( void );
    int min_tiles( void );
};

#endif
