/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef SCORE_H
#define SCORE_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <ctype.h>
#include <fcntl.h>
#include "extras.h"

#define SCORE_MAX_LINE 80
#define SCORE_MAX_KEEP 10

struct score_pars
{
    short score;
    /* Statistics. */
    unsigned int proposita;   // Placed pipes.
    unsigned int emissa;      // Pipes dispensed.
    unsigned int tacta;       // Pipes touched by flow.
    unsigned int obscura;     // Pipes overwritten.
    unsigned int crossed;     // Pipes with more than one flow.
};

class Score
{
public:
    short score; // Negative scores are possible.
    /* Statistics. */
    unsigned short proposita;   // Placed pipes.
    unsigned short emissa;      // Pipes dispensed.
    unsigned short tacta;       // Pipes touched by flow.
    unsigned short obscura;     // Pipes overwritten.
    unsigned short crossed;     // Pipes with more than one flow.
    unsigned short level;       // Highest level.
    float skill;
    void reset( void );
    int accipere( struct score_pars* );
    int fetch( struct score_pars* );
    const char **summaByList( const char* );
    char *summaByString( const char* );
    int referre( const char* );
    static void scoreInitPars( struct score_pars* );
};

#endif
