/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef SFX_H
#define SFX_H 1

/*
** Flags to sfx_flags and sfx_link.
*/
#define SFX_SFLG_NULL 0
#define SFX_SFLG_CONT   1   /* Continuous play. */
#define SFX_SFLG_SYNC   2   /* Wait for sound.  */
#define SFX_SFLG_KEEP   4   /* Don't free.      */

#ifdef HAVE_OSS

/*
** Exit codes for sound daemon.
**
** 0 - No error. Clean exit.
** 1 - Failed open of audio device.
** 2 - Bad SNDCNTL_DSP_SETFRAGMENT.
** 3 - Bad SNDCNTL_DSP_SETFMT.
** 4 - Bad SNDCNTL_DSP_STERO.
** 5 - Bad SNDCNTL_DSP_SPEED.
** 6 - Bad SNDCNTL_DSP_GETBLKSIZE.
** 7 - Bad malloc();
*/

#include<signal.h>
#ifdef linux
#include<linux/soundcard.h>
#else
#include<sys/soundcard.h>
#endif

extern int errno;
extern char *sys_errlist[];

#define SFX_POLL_NOWAIT 0
#define SFX_POLL_BLOCK  1
#define SFX_POLL_TIMED  2

#define SFX_MAX_CHANS   4
#define SFX_MAX_SOUNDS 12

#define SFX_INTR_NOSOUND SIGUSR1   /* Send to app when sound fails. */
#define SFX_INTR_QUIT    SIGTERM   /* Sent by app to kill sound.    */

#endif /* HAVE_OSS */
/*
** Currently, the sfx functions exist even if HAVE_OSS is not defined.
** The functions will be empty.
*/

#ifdef _cplusplus
extern "C"
{
#endif

extern int sfx_delete( short );
extern int sfx_finis( void );
extern int sfx_flags( short, unsigned short );
extern int sfx_halt( short, unsigned short );
extern int sfx_glob( const char* );
extern int sfx_init( void );
extern int sfx_link( short, const char *filename, unsigned short );
extern int sfx_load( short );
extern int sfx_mute( int );
extern int sfx_play( short, unsigned short );
extern int sfx_volume( signed int );

#ifdef _cplusplus
}
#endif
#endif /* SFX_H */
