/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef TCACHE_H
#define TCACHE_H 1

#include <errno.h>
#include "glob.h"
#include "tobj.h"

extern char *sys_errlist[];

struct tnode
{
    struct tnode *next;
    struct tnode *prev;
    TObj *tobj;
};

class TCache
{
    struct tnode *root;
    char **names;
    Glob *glob;
    int count;
    int max;
    Colores *colores;
public:
    void setGlob( Glob* );
    void setColores( Colores* );
    int setMax( int );
    int notify( const char* );
    TObj *fetch( int );
    void remove( int );
    int reset( void );
    const char *name( int );
};

#endif
