/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef TILE_H
#define TILE_H

#include "imago.h"
#include "tobj.h"

/*
** Bitmask returned by incflow().
*/
#define TILE_FLOW_CONT 1
#define TILE_FLOW_DRAW 2

enum tile_state
{
    tile_state_null = 0,
    tile_state_set,      // Draw frame.
    tile_state_static,   // Do nothing.
    tile_state_anim,     // Advance ANIM frame.
    tile_state_flow      // Do TOBJ pipe frame.
};

class Tile
{
public:
    int x;
    int y;
    int width;
    int height;
    int sync_tag;
    Tile( void );
    tile_state state;
    void *state_info;
    TObj *tobj;
    int set( int );
    int set( const char* );
    int set( TObj* );
    void setpos( int, int, int, int );
    void incanim( Imago* );
    int incflow( Imago*, tobj_dir*, struct tobj_gain* );
    int incmeter( Imago* );
    int canplace( void );
};

#endif
