/*
** 
**  Copyright (c) 1998 by Larry Plona
** 
**  This distribution  of XPipeman is copyright by Larry Plona.
**  The  package  and  its  component  files  may  be  freely
**  distributed as long as  all copyright notices remain intact
**  and this distribution is not sold  as  commercial software.
** 
**  No warranty of any kind is attached with this software.  It
**  is supplied as is.
** 
** ----------------------------------------------------------------
*/

#ifndef TILELIST_H
#define TILELIST_H 1

#include <errno.h>
#include "tile.h"

extern char *sys_errlist[];

struct tinode
{
    struct tinode *next;
    struct tinode *prev;
    Tile *tile;
};

class TileList
{
protected:
    struct tinode *root;
    int count;
    struct tinode *pop( struct tinode* );
    int check( const char* );
    int dump( const char*, struct tinode* );
public:
    int clear( void );
    Tile *pop( Tile* );
    int push( Tile* );
    void *grab( void );
    int merge( void* );
    TileList();
};

#endif
